Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jmx.export.assembler
Interface AutodetectCapableMBeanInfoAssembler

All Superinterfaces:
  MBeanInfoAssembler

All Known Implementing Classes:
  MetadataMBeanInfoAssembler

    public interface AutodetectCapableMBeanInfoAssembler

extends MBeanInfoAssembler

Extends the `MBeanInfoAssembler` to add autodetection logic. Implementations of this interface are given the opportunity by the `MBeanExporter` to include additional beans in the registration process.

The exact mechanism for deciding which beans to include is left to implementing classes.

Since:
  1.2
Author:
  Rob Harrop
See Also:
  `MBeanExporter`

Method Summary
`boolean` | `includeBean(Class<?> beanClass, String beanName)` Indicate whether a particular bean should be included in the registration process, if it is not specified in the `beans` map of the `MBeanExporter`.

Methods inherited from interface org.springframework.jmx.export.assembler.MBeanInfoAssembler
`getMBeanInfo`

Method Detail

### includeBean

    boolean includeBean(Class<?> beanClass,
                        String beanName)

  Indicate whether a particular bean should be included in the registration process, if it is not specified in the `beans` map of the `MBeanExporter`.

  Parameters:
    `beanClass` - the class of the bean (might be a proxy class)
    `beanName` - the name of the bean in the bean factory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD